from Plugins.Plugin import PluginDescriptor
from Components.config import config, ConfigSubsection, ConfigText, ConfigIP, ConfigYesNo, getConfigListEntry

config.plugins.SamsungRemote = ConfigSubsection()
config.plugins.SamsungRemote.token = ConfigText(default = "")
config.plugins.SamsungRemote.tv_ip = ConfigIP(default=[192, 168, 0, 0])
config.plugins.SamsungRemote.enable = ConfigYesNo(default=True)

from SamsungVolumeRemote import SamsungVolumeRemoteSetup

def main(session, **kwargs):
	session.open(SamsungVolumeRemoteSetup)

def Plugins(**kwargs):

	descriptors = []
	descriptors.append( PluginDescriptor(name =_("SamsungVolumeRemote"), description=_("SamsungVolumeRemote Setup"), where= PluginDescriptor.WHERE_PLUGINMENU, fnc = main, needsRestart = False, icon="plugin.png" ))

	return descriptors
